<?php
/*
=============================================
 Движок: SHCMS Engine
=============================================
 Название файла: Рассылка новостей
=============================================
 Official website: http://shcms.ru
=============================================
 Данный код защищен авторскими правами
=============================================
*/
define('SHCMS', true);
include_once'../system/inc/basic_settings.php';
$shcmsengine['title'] = 'Рассылка новостей';
include_once'../template/head.php';
registrat();
$adminka ->admin();
if($_GET['id_send']){$id_send = $_GET['id_send'];}

if(!$id_send)
{
echo '<div class="errors">Вы неправильно зашли</div>';
header("Refresh: 1; url=/uncos/");
include_once'../template/foot.php';
exit;
}
function error_return($errors = "")
{echo '<div class="errors">'.$errors.'</div>';
echo '<div class="link_str"><a href="javascript:history.back()">Назад</a></div>';}

$news_send = mysql_query("SELECT * FROM `uncos` WHERE `id` = '$id_send' LIMIT 1");

if(!mysql_num_rows($news_send))
{
error_return('Новость не найдено');
}
$news = mysql_fetch_array($news_send);

if($news['send'] == 1)
{
echo 'Вы уже рассылали на эту новость';
include_once'../template/foot.php';
exit;
}

if($_POST['submit'])
{$submit = $_POST['submit'];}
if(isset($submit))
{

//Рассылка новостей на Email
$mysql_users = mysql_query("SELECT `email` FROM `users`");
$mail_users = mysql_fetch_array($mysql_users);
do
{

mails_listing::mails($news['title'],$news['text'],$news['time']);



}while($mail_users = mysql_fetch_array($mysql_users));

mysql_query("UPDATE `uncos` SET `send` = '1' WHERE `id` = '$id_send' LIMIT 1");

echo '<div class="actshcms">Новость успешно разослана всем на Email</div>';
header("Refresh: 1; url=/uncos/");

}
else
{
$mail_result = mysql_result(mysql_query("SELECT COUNT(`email`) FROM `users`"),0);
echo '<div class="posts">Рассылка новости для '.$mail_result.'</div>';
echo '<div class="posts"><form action="?id_send='.$id_send.'" method="post">';
echo '<input type="submit" name="submit" value="Разослать новость"/>';
echo '</form></div>';
}
include_once'../template/foot.php';

?>